it-swarm.com.de

mysql_config wurde bei der Installation der mysqldb-Python-Schnittstelle für mariadb 10 Ubuntu 13.10 nicht gefunden

Nachdem ich Mariadb 10 installiert hatte, verbinden sich die Mysql-Workbench und der JPDB-Client miteinander und funktionieren gut. Der nächste Schritt bestand darin, mit Python zu programmieren (mit SQLAlchemy), was anscheinend MySQL-Python erfordert gefunden "Ich habe an den" üblichen Stellen "gesucht und sah keine Datei ...

Also folgte ich einigen Ideen aus einer früheren Frage in SO Und versuchte zu installieren: apt-get install libmysqlclient-dev

was brachte mich zu: Die folgenden Pakete haben nicht erfüllte Abhängigkeiten: libmysqlclient-dev: Abhängig: libmysqlclient18 (= 5.5.35-0ubuntu0.13.10.2), aber 10.0.10 + maria-1 ~ saucy ist zu installieren

welche Art von Mauer für mich trifft

20
dartdog

Fand es! Der Fall ist, dass mariadb ein kompatibles Paket hat, wenn Sie das ppa-Setup unter http://downloads.mariadb.org/ haben. Gerade 

Sudo apt-get install libmariadbclient-dev

Vielen Dank an http://data-matters.blogspot.com/2013/08/install-mysql-python-with-mariadb.html Danach wird der mysql-python korrekt installiert

22
dartdog

Für Centos 7.0 installieren Sie Folgendes:

yum install mariadb-devel

Für Fedora 23+:

dnf install mariadb-devel
26
anonymous

Es gibt keine Lösung auf Ubuntu 16.04

Tun:

Sudo ln -s /usr/bin/mariadb_config /usr/bin/mysql_config

Arbeitete für mich.

15

Installieren Sie die folgende Bibliothek: 

Sudo apt-get install libmariadb-client-lgpl-dev  

Und erstellen Sie einen symbolischen Link mit dem Namen mysql_config

ln -s /usr/bin/mariadb_config /usr/bin/mysql_config
7
WaKo

Für Debian/Ubuntu-PPA unter https://downloads.mariadb.org/mariadb/repositories/

für MariaDB 10.1: apt-get install libmariadbclient-dev
für MariaDB 10.2: apt-get install libmariadb-dev
für MariaDB 10.3: apt-get install libmariadb-dev-compat 

4
Dmitry Mottl

Für Debian Jessie: 

Sudo apt-get install libmariadb-client-lgpl-dev 
Sudo ln -s /usr/bin/mariadb_config /usr/bin/mysql_config
2
Simha

Auf Ubuntu 17.04 funktionierte folgendes für mich

Sudo apt-get install default-libmysqlclient-dev
0
f0xik